Subject: Re: First cut at git port to Cygwin

From: Jonas Fonseca <[email-masked]>
Date: Wed, 5 Oct 2005 15:16:31 +0200

I have a few things I experienced with the merged cygwin stuff. Sorry I
haven't investigated it further, but there should be enough for a few
fixes.

When I ...

  user@machine /usr/local/dev/git/git
  $ make prefix=/usr/local install
  install -d -m755 /usr/local/bin
  install git-apply.exe [...]
  sh ./cmd-rename.sh /usr/local/bin
  ln: creating symbolic link `/usr/local/bin/git-http-pull.exe' to `git-http-fetch.exe': File exists
  make: *** [install] Error 1

Can be fixed by the patch below. I don't know if it would be cleaner to
pass cmd-rename.sh "$X" as a second argument from the Makefile.

--- cmd-rename.sh	2005-10-05 14:42:00.000000000 +0200
+++ cmd-rename.sh-orig	2005-10-05 14:43:48.000000000 +0200
@@ -3,7 +3,7 @@
 test -d "$d" || exit
 while read old new
 do
-	rm -f "$d/$old" "$d/$old.exe" 
+	rm -f "$d/$old"
 	if test -f "$d/$new"
 	then
 		ln -s "$new" "$d/$old" || exit

Some other obscurities ...

  user@machine /usr/local/dev/git/git
  $ git-log
  fatal: Not a git repository

  user@machine /usr/local/dev/git/git
  $ GIT_DIR=.git git-log | wc -l
  26094

and I cannot rebuild the index file with git-reset. First time I run it
it creates the index.lock file and errors out when writing. The second
time it errors out because the lock file was not removed in the first
case.

  user@machine /usr/local/dev/git/git
  $ GIT_DIR=.git git-reset
  fatal: unable to write new index file
  
  user@machine /usr/local/dev/git/git
  $ GIT_DIR=.git git-reset
  fatal: unable to create new cachefile
  
  user@machine /usr/local/dev/git/git
  $ uname -a
  CYGWIN_NT-5.1 antimatter 1.5.18(0.132/4/2) 2005-07-02 20:30 i686 unknown unknown Cygwin

-- 
Jonas Fonseca